package com.smcic.api.admin.controller;


import com.smcic.api.admin.dto.DeviceDTO;
import com.smcic.api.admin.service.impl.UserDeviceServiceImpl;
import com.smcic.core.auth.LoginRequired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@RestController
@RequestMapping("/admin/user-device")
public class UserDeviceController {

    @Resource
    private UserDeviceServiceImpl userDeviceService;

    @PostMapping("/add")
    @LoginRequired
    public void add(@RequestBody DeviceDTO deviceDTO) {
        userDeviceService.add(deviceDTO);
    }

    @PostMapping("/delete")
    @LoginRequired
    public void delete(@RequestBody DeviceDTO deviceDTO) {
        userDeviceService.delete(deviceDTO);
    }

}
