package com.smcic.api.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 审核流配置
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@Getter
@Setter
@TableName("audit_flow")
public class AuditFlow implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "flow_id", type = IdType.AUTO)
    private Long flowId;

    private Long userId;

    private Integer sort;

    private Long adminUserId;


}
