package com.smcic.api.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 稿件引用
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@Getter
@Setter
@TableName("article_quote")
public class ArticleQuote implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 引用ID
     */
    @TableId(value = "quote_id", type = IdType.AUTO)
    private Long quoteId;

    private Long articleId;

    private Long userId;

    private Long categoryId;

    /**
     * 审核状态
     */
    private Integer status;

    /**
     * 排序，置顶
     */
    private Integer sort;


}
